%define	name	cdrdao
%define	version	1.1.3
%define	release	1
%define	prefix	/usr

Summary: Writes audio CD-Rs in disk-at-once (DAO) mode.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group: Applications/System
URL:		http://www.ping.de/sites/daneb/cdrdao.html
Source0:	%{name}-%{version}.src.tar.gz
Source1: xcdrdao.desktop
BuildRoot:	/var/tmp/%{name}-%{version}
Prefix:		%{prefix}
Requires: gtk-- = 1.0.3pre1-2
Excludearch: alpha

%description
Cdrdao records audio CD-Rs in disk-at-once (DAO) mode, based on a
textual description of the CD contents.  Recording in DAO mode writes
the complete disc (lead-in, one or more tracks, and lead-out) in a
single step.  DAO allows full control over the length and the contents
of pre-gaps, the pause areas between tracks.

%prep
%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS CXXFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{prefix} \
            --with-pcctsbin=/usr/bin \
            --with-pcctsinc=/usr/include/pccts

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/System/

install -m 0644 $RPM_SOURCE_DIR/xcdrdao.desktop\
	$RPM_BUILD_ROOT/usr/share/gnome/apps/System/

make prefix=$RPM_BUILD_ROOT/%{prefix} install
strip $RPM_BUILD_ROOT/%{prefix}/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc testtocs COPYING INSTALL README cdrdao.lsm
%{prefix}/bin/cdrdao
%{prefix}/bin/xcdrdao
%{prefix}/man/man1/cdrdao.1
%{prefix}/man/man1/xcdrdao.1
%{prefix}/share/gnome/apps/System/xcdrdao.desktop

%changelog
* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.3
- we now have xcdrdao
- added gnome menu stuff

* Fri Aug 21 1999 Tim Powers <timp@redhat.com>
- removed wmconfig stuff. Nosuch file names xcdrdao

* Wed Aug 18 1999 Dale Lovelace <dale@redhat.com>
- add cdrdao.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.1 
- built for 6.1

* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- gtk-- does not wokr on the alpha, so we have no xcdrdao for it.
- cheesy workaround for the broken tar archive

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package 
